org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class GroupTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.GroupTest

- Direct Known Subclasses:
    GroupTest.Traversals

      public abstract class GroupTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_group_byXageX()`
    `void` | `g_V_group_byXbothE_countX_byXgroup_byXlabelXX()`
    `void` | `g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX()`
    `void` | `g_V_group_byXlabelX_byXlabel_countX()`
    `void` | `g_V_group_byXname_substring_1X_byXconstantX1XX()`
    `void` | `g_V_group_byXnameX_by()`
    `void` | `g_V_group_byXnameX()`
    `void` | `g_V_group_byXoutE_countX_byXnameX()`
    `void` | `g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX()`
    `void` | `g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX()`
    `void` | `g_V_groupXaX_byXnameX_capXaX()`
    `void` | `g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX()`
    `void` | `g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX()`
    `void` | `g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX()`
    `void` | `g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX()`
    `void` | `g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX()`
    `void` | `g_V_hasXlangX_group_byXlangX_byXcountX()`
    `void` | `g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()`
    `void` | `g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X()`
    `void` | `g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX()`
    `void` | `g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX()`
    `void` | `g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX()`
    `void` | `g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX()`
    `void` | `g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX()`
    `void` | `g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX()`
    `abstract Traversal<Vertex,Map<Integer,Collection<Vertex>>>` | `get_g_V_group_byXageX()`
    `abstract Traversal<Vertex,Map<Long,Map<String,List<Vertex>>>>` | `get_g_V_group_byXbothE_countX_byXgroup_byXlabelXX()`
    `abstract Traversal<Vertex,Map<String,Number>>` | `get_g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_group_byXlabelX_byXlabel_countX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_group_byXname_substring_1X_byXconstantX1XX()`
    `abstract Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_group_byXnameX_by()`
    `abstract Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_group_byXnameX()`
    `abstract Traversal<Vertex,Map<Long,Collection<String>>>` | `get_g_V_group_byXoutE_countX_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Number>>` | `get_g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX()`
    `abstract Traversal<Vertex,Map<String,Collection<Vertex>>>` | `get_g_V_groupXaX_byXnameX_capXaX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX()`
    `abstract Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX()`
    `abstract Traversal<Vertex,Map<String,Map<String,Long>>>` | `get_g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX()`
    `abstract Traversal<Vertex,Map<String,Map<String,Long>>>` | `get_g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_hasXlangX_group_byXlangX_byXcountX()`
    `abstract Traversal<Vertex,Map<String,Collection<String>>>` | `get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X()`
    `abstract Traversal<Vertex,Map<String,Map<String,Number>>>` | `get_g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX()`
    `abstract Traversal<Vertex,Map<String,Map<Object,Object>>>` | `get_g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX()`
    `abstract Traversal<Vertex,Map<String,List<Object>>>` | `get_g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX(Map<String,List<Object>> m)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupTest

          public GroupTest()

  - ### Method Detail

    - #### get_g_V_group_byXnameX

          public abstract Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_group_byXnameX()

    - #### get_g_V_group_byXageX

          public abstract Traversal<Vertex,Map<Integer,Collection<Vertex>>> get_g_V_group_byXageX()

    - #### get_g_V_group_byXnameX_by

          public abstract Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_group_byXnameX_by()

    - #### get_g_V_groupXaX_byXnameX_capXaX

          public abstract Traversal<Vertex,Map<String,Collection<Vertex>>> get_g_V_groupXaX_byXnameX_capXaX()

    - #### get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX

          public abstract Traversal<Vertex,Map<String,Collection<String>>> get_g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()

    - #### get_g_V_hasXlangX_group_byXlangX_byXcountX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_hasXlangX_group_byXlangX_byXcountX()

    - #### get_g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX()

    - #### get_g_V_group_byXoutE_countX_byXnameX

          public abstract Traversal<Vertex,Map<Long,Collection<String>>> get_g_V_group_byXoutE_countX_byXnameX()

    - #### get_g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX

          public abstract Traversal<Vertex,Map<String,Number>> get_g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX()

    - #### get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX()

    - #### get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX()

    - #### get_g_V_group_byXname_substring_1X_byXconstantX1XX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_group_byXname_substring_1X_byXconstantX1XX()

    - #### get_g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX()

    - #### get_g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X

          public abstract Traversal<Vertex,String> get_g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X()

    - #### get_g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX

          public abstract Traversal<Vertex,Map<String,Map<String,Long>>> get_g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX()

    - #### get_g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX

          public abstract Traversal<Vertex,Map<String,Map<String,Long>>> get_g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX()

    - #### get_g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX

          public abstract Traversal<Vertex,Map<String,Map<Object,Object>>> get_g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX()

    - #### get_g_V_group_byXbothE_countX_byXgroup_byXlabelXX

          public abstract Traversal<Vertex,Map<Long,Map<String,List<Vertex>>>> get_g_V_group_byXbothE_countX_byXgroup_byXlabelXX()

    - #### get_g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX

          public abstract Traversal<Vertex,Map<String,Map<String,Number>>> get_g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX()

    - #### get_g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX()

    - #### get_g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX

          public abstract Traversal<Vertex,Map<String,Number>> get_g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX()

    - #### get_g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX

          public abstract Traversal<Vertex,Map<String,List<Object>>> get_g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX(Map<String,List<Object>> m)

    - #### get_g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX

          public abstract Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX()

    - #### get_g_V_group_byXlabelX_byXlabel_countX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_group_byXlabelX_byXlabel_countX()

    - #### get_g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX()

    - #### g_V_group_byXnameX

          public void g_V_group_byXnameX()

    - #### g_V_group_byXageX

          public void g_V_group_byXageX()

    - #### g_V_group_byXnameX_by

          public void g_V_group_byXnameX_by()

    - #### g_V_groupXaX_byXnameX_capXaX

          public void g_V_groupXaX_byXnameX_capXaX()

    - #### g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX

          public void g_V_hasXlangX_groupXaX_byXlangX_byXnameX_out_capXaX()

    - #### g_V_hasXlangX_group_byXlangX_byXcountX

          public void g_V_hasXlangX_group_byXlangX_byXcountX()

    - #### g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX

          public void g_V_repeatXout_groupXaX_byXnameX_byXcountX_timesX2X_capXaX()

    - #### g_V_group_byXoutE_countX_byXnameX

          public void g_V_group_byXoutE_countX_byXnameX()

    - #### g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX

          public void g_V_groupXaX_byXlabelX_byXoutE_weight_sumX_capXaX()

    - #### g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX

          public void g_V_repeatXbothXfollowedByXX_timesX2X_group_byXsongTypeX_byXcountX()

    - #### g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX

          public void g_V_repeatXbothXfollowedByXX_timesX2X_groupXaX_byXsongTypeX_byXcountX_capXaX()

    - #### g_V_group_byXname_substring_1X_byXconstantX1XX

          public void g_V_group_byXname_substring_1X_byXconstantX1XX()

    - #### g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX

          public void g_V_groupXaX_byXname_substring_1X_byXconstantX1XX_capXaX()

    - #### g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X

          public void g_V_out_group_byXlabelX_selectXpersonX_unfold_outXcreatedX_name_limitX2X()

    - #### g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX

          public void g_V_hasLabelXsongX_group_byXnameX_byXproperties_groupCount_byXlabelXX()

    - #### g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX

          public void g_V_hasLabelXsongX_groupXaX_byXnameX_byXproperties_groupCount_byXlabelXX_out_capXaX()

    - #### g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX

          public void g_V_repeatXunionXoutXknowsX_groupXaX_byXageX__outXcreatedX_groupXbX_byXnameX_byXcountXX_groupXaX_byXnameXX_timesX2X_capXa_bX()

    - #### g_V_group_byXbothE_countX_byXgroup_byXlabelXX

          public void g_V_group_byXbothE_countX_byXgroup_byXlabelXX()

    - #### g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX

          public void g_V_outXfollowedByX_group_byXsongTypeX_byXbothE_group_byXlabelX_byXweight_sumXX()

    - #### g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX

          public void g_V_groupXmX_byXnameX_byXinXknowsX_nameX_capXmX()

    - #### g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX

          public void g_V_group_byXlabelX_byXbothE_groupXaX_byXlabelX_byXweight_sumX_weight_sumX()

    - #### g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX

          public void g_withSideEffectXa__marko_666_noone_blahX_V_groupXaX_byXnameX_byXoutE_label_foldX_capXaX()

    - #### g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX

          public void g_V_hasLabelXpersonX_asXpX_outXcreatedX_group_byXnameX_byXselectXpX_valuesXageX_sumX()

    - #### g_V_group_byXlabelX_byXlabel_countX

          public void g_V_group_byXlabelX_byXlabel_countX()

    - #### g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX

          public void g_V_groupXmX_byXlabelX_byXlabel_countX_capXmX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.